;InnoSetupVersion=5.0.4

[Setup]
AppName=World Online TV
AppVerName=World Online TV v4.1
AppId=World Online TV
AppPublisher=Ahusoft
AppPublisherURL=http://www.Ahusoft.com
AppSupportURL=http://www.Ahusoft.com
AppUpdatesURL=http://www.Ahusoft.com
DefaultDirName={pf}\World Online TV
DefaultGroupName=World Online TV
OutputBaseFilename=setup
Compression=lzma
PrivilegesRequired=none
AllowNoIcons=yes
LicenseFile=embedded\License.txt
InfoBeforeFile=embedded\InfoBefore.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\OnlineTV.exe"; DestDir: "{app}"; Flags: restartreplace ignoreversion 
Source: "{app}\Help.chm"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\Data\List.dll"; DestDir: "{app}\Data"; Flags: ignoreversion 
Source: "{app}\Data\ListR.dll"; DestDir: "{app}\Data"; Flags: ignoreversion 
Source: "{app}\Data\MP.dll"; DestDir: "{app}\Data"; Flags: ignoreversion 
Source: "{app}\Data\RP.dll"; DestDir: "{app}\Data"; Flags: ignoreversion 
Source: "{app}\Readme.txt"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\Skins\aqua.mskn"; DestDir: "{app}\Skins"; Flags: ignoreversion 
Source: "{app}\Skins\beos.mskn"; DestDir: "{app}\Skins"; Flags: ignoreversion 
Source: "{app}\Skins\devoir.mskn"; DestDir: "{app}\Skins"; Flags: ignoreversion 
Source: "{app}\Skins\ecliptic.mskn"; DestDir: "{app}\Skins"; Flags: ignoreversion 
Source: "{app}\Skins\elegant99.mskn"; DestDir: "{app}\Skins"; Flags: ignoreversion 
Source: "{app}\Skins\futurism.mskn"; DestDir: "{app}\Skins"; Flags: ignoreversion 
Source: "{app}\Skins\jezz.mskn"; DestDir: "{app}\Skins"; Flags: ignoreversion 
Source: "{app}\Skins\kde.mskn"; DestDir: "{app}\Skins"; Flags: ignoreversion 
Source: "{app}\Skins\kromo_zone.mskn"; DestDir: "{app}\Skins"; Flags: ignoreversion 
Source: "{app}\Skins\macos.mskn"; DestDir: "{app}\Skins"; Flags: ignoreversion 
Source: "{app}\Skins\profskin.mskn"; DestDir: "{app}\Skins"; Flags: ignoreversion 
Source: "{app}\Skins\qnx.mskn"; DestDir: "{app}\Skins"; Flags: ignoreversion 
Source: "{app}\Skins\swing.mskn"; DestDir: "{app}\Skins"; Flags: ignoreversion 
Source: "{app}\Skins\watercolor.mskn"; DestDir: "{app}\Skins"; Flags: ignoreversion 
Source: "{app}\Data\images\course_button.gif"; DestDir: "{app}\Data\images"; Flags: ignoreversion 
Source: "{app}\Data\images\full.gif"; DestDir: "{app}\Data\images"; Flags: ignoreversion 
Source: "{app}\Data\images\pause.gif"; DestDir: "{app}\Data\images"; Flags: ignoreversion 
Source: "{app}\Data\images\pause_b.gif"; DestDir: "{app}\Data\images"; Flags: ignoreversion 
Source: "{app}\Data\images\play.gif"; DestDir: "{app}\Data\images"; Flags: ignoreversion 
Source: "{app}\Data\images\play_b.gif"; DestDir: "{app}\Data\images"; Flags: ignoreversion 
Source: "{app}\Data\images\stop.gif"; DestDir: "{app}\Data\images"; Flags: ignoreversion 
Source: "{app}\Data\images\stop_b.gif"; DestDir: "{app}\Data\images"; Flags: ignoreversion 

[INI]
FileName: "{app}\Ahusoft.url"; Section: "InternetShortcut"; Key: "URL"; String: "http://www.Ahusoft.com"; 

[Run]
Filename: "{app}\OnlineTV.exe"; Description: "Launch World Online TV"; Flags: postinstall skipifsilent nowait

[Icons]
Name: "{group}\World Online TV"; Filename: "{app}\OnlineTV.exe"; 
Name: "{group}\World Online TV Help"; Filename: "{app}\Help.chm"; 
Name: "{group}\World Online TV on the Web"; Filename: "{app}\Ahusoft.url"; 
Name: "{userdesktop}\World Online TV"; Filename: "{app}\OnlineTV.exe"; Tasks: desktopicon; 
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\OnlineTV"; Filename: "{app}\OnlineTV.exe"; Tasks: quicklaunchicon; 

[Tasks]
Name: "desktopicon"; Description: "Create a &desktop icon"; GroupDescription: "Additional icons:"; 
Name: "quicklaunchicon"; Description: "Create a &Quick Launch icon"; GroupDescription: "Additional icons:"; 

[UninstallDelete]
Type: files; Name: "{app}\Ahusoft.url"; 
Type: files; Name: "{app}\fav.dat"; 

[CustomMessages]
default.NameAndVersion=%1 version %2
default.AdditionalIcons=Additional icons:
default.CreateDesktopIcon=Create a &desktop icon
default.CreateQuickLaunchIcon=Create a &Quick Launch icon
default.ProgramOnTheWeb=%1 on the Web
default.UninstallProgram=Uninstall %1
default.LaunchProgram=Launch %1
default.AssocFileExtension=&Associate %1 with the %2 file extension
default.AssocingFileExtension=Associating %1 with the %2 file extension...

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "default"; MessagesFile: "embedded\default.isl"; 
